Up

# NSAffineTransform.m

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

Copyright: (C) 1996,1999 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSAffineTransform class
2. Software documentation for the NSAffineTransform(GNUstep) category

# Software documentation for the NSAffineTransform class

## NSAffineTransform : NSObject

> Declared in:
>   AppKit/NSAffineTransform.h

> Conforms to:
>   NSCopying
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

### Instance variables

### matrix

@public NSAffineTransformStruct matrix;

Description forthcoming.

Method summary

- -boundingRectFor:result:
- -concatenateWith:
- -concatenateWithMatrix:
- -deltaPointInMatrixSpace:
- -getMatrix:
- -inverse
- -isRotated
- -makeIdentityMatrix
- -pointInMatrixSpace:
- -rectInMatrixSpace:
- -rotationAngle
- -scaleTo::
- -setFrameOrigin:
- -setFrameRotation:
- -setMatrix:
- -sizeInMatrixSpace:
- -takeMatrixFromTransform:
- -translateToPoint:
- +transform
- -appendTransform:
- -concat
- -initWithTransform:
- -invert
- -prependTransform:
- -rotateByDegrees:
- -rotateByRadians:
- -scaleBy:
- -scaleXBy:yBy:
- -set
- -setTransformStruct:
- -transformBezierPath:
- -transformPoint:
- -transformSize:
- -transformStruct
- -translateXBy:yBy:

### transform

+ (NSAffineTransform*) transform;

Description forthcoming.

### appendTransform:

- (void) appendTransform: (NSAffineTransform*)aTransform;

Description forthcoming.

### concat

- (void) concat;

Description forthcoming.

### initWithTransform:

- (id) initWithTransform: (NSAffineTransform*)aTransform;

Description forthcoming.

### invert

- (void) invert;

Description forthcoming.

### prependTransform:

- (void) prependTransform: (NSAffineTransform*)aTransform;

Description forthcoming.

### rotateByDegrees:

- (void) rotateByDegrees: (float)angle;

Description forthcoming.

### rotateByRadians:

- (void) rotateByRadians: (float)angleRad;

Description forthcoming.

### scaleBy:

- (void) scaleBy: (float)scale;

Description forthcoming.

### scaleXBy:yBy:

- (void) scaleXBy: (float)scaleX yBy: (float)scaleY;

Description forthcoming.

### set

- (void) set;

Description forthcoming.

### setTransformStruct:

- (void) setTransformStruct: (NSAffineTransformStruct)val;

Description forthcoming.

### transformBezierPath:

- (NSBezierPath*) transformBezierPath: (NSBezierPath*)aPath;

Description forthcoming.

### transformPoint:

- (NSPoint) transformPoint: (NSPoint)aPoint;

Description forthcoming.

### transformSize:

- (NSSize) transformSize: (NSSize)aSize;

Description forthcoming.

### transformStruct

- (NSAffineTransformStruct) transformStruct;

Description forthcoming.

### translateXBy:yBy:

- (void) translateXBy: (float)tranX yBy: (float)tranY;

Description forthcoming.

# Software documentation for the NSAffineTransform(GNUstep) category

## NSAffineTransform(GNUstep)

> Declared in:
>   AppKit/NSAffineTransform.h

> Standards:
> - NotOpenStep
> - NotMacOS-X
> - GNUstep

Description forthcoming.

Method summary

- -boundingRectFor:result:
- -concatenateWith:
- -concatenateWithMatrix:
- -deltaPointInMatrixSpace:
- -getMatrix:
- -inverse
- -isRotated
- -makeIdentityMatrix
- -pointInMatrixSpace:
- -rectInMatrixSpace:
- -rotationAngle
- -scaleTo::
- -setFrameOrigin:
- -setFrameRotation:
- -setMatrix:
- -sizeInMatrixSpace:
- -takeMatrixFromTransform:
- -translateToPoint:

### boundingRectFor:result:

- (void) boundingRectFor: (NSRect)rect result: (NSRect*)new;

Description forthcoming.

### concatenateWith:

- (void) concatenateWith: (NSAffineTransform*)anotherMatrix;

Description forthcoming.

### concatenateWithMatrix:

- (void) concatenateWithMatrix: (const float[6])anotherMatrix;

Description forthcoming.

### deltaPointInMatrixSpace:

- (NSPoint) deltaPointInMatrixSpace: (NSPoint)point;

Description forthcoming.

### getMatrix:

- (void) getMatrix: (float[6])replace;

Description forthcoming.

### inverse

- (void) inverse;

Description forthcoming.

### isRotated

- (BOOL) isRotated;

Description forthcoming.

### makeIdentityMatrix

- (void) makeIdentityMatrix;

Description forthcoming.

### pointInMatrixSpace:

- (NSPoint) pointInMatrixSpace: (NSPoint)point;

Description forthcoming.

### rectInMatrixSpace:

- (NSRect) rectInMatrixSpace: (NSRect)rect;

Description forthcoming.

### rotationAngle

- (float) rotationAngle;

Description forthcoming.

### scaleTo::

- (void) scaleTo: (float)sx : (float)sy;

Description forthcoming.

### setFrameOrigin:

- (void) setFrameOrigin: (NSPoint)point;

Description forthcoming.

### setFrameRotation:

- (void) setFrameRotation: (float)angle;

Description forthcoming.

### setMatrix:

- (void) setMatrix: (const float[6])replace;

Description forthcoming.

### sizeInMatrixSpace:

- (NSSize) sizeInMatrixSpace: (NSSize)size;

Description forthcoming.

### takeMatrixFromTransform:

- (void) takeMatrixFromTransform: (NSAffineTransform*)aTransform;

Description forthcoming.

### translateToPoint:

- (void) translateToPoint: (NSPoint)point;

Description forthcoming.

Up